---
title: BroadcastChannel.onmessage
slug: Web/API/BroadcastChannel/onmessage
tags:
  - API
  - Broadcast Channel API
  - BroadcastChannel
  - Event Handler
  - Experimental
  - HTML API
  - Property
  - Reference
---
<p>{{APIRef("BroadCastChannel API")}}</p>

<p>The <code><strong>BroadcastChannel.onmessage</strong></code> event handler is a property that specifies the function to execute when a {{event("message")}} event, of type {{domxref("MessageEvent")}}, is received by this {{domxref("BroadcastChannel")}}. Such an event is sent by the browser with a message broadcasted to the channel.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>channel</em>.onmessage = <em>function</em>;
</pre>

<h3 id="Values">Values</h3>

<ul>
	<li><code>function</code> is the name of a user-defined function, without the <code>()</code> suffix or any parameters, or an anonymous function declaration, such as <code>function(event) {...}</code>. An event handler always has one single parameter, containing the event, here of type {{domxref("MessageEvent")}}.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">bc.onmessage = function(ev) { console.log(`message event received! '${ev.data}'`); };
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('HTML WHATWG', "comms.html#handler-broadcastchannel-onmessage", "BroadcastChannel.onmessage")}}</td>
			<td>{{Spec2('HTML WHATWG')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BroadcastChannel.onmessage")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>Another, more heavy weight, way of communicating between browser contexts: {{domxref("ServiceWorker")}}</li>
</ul>
